
;;;;------------------------------------------------------------
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
FUNCTION REMAP_DATA, in,new_limit
	
	rot=0   
	g_pt=WHERE(in.lat gt -90 AND in.lon gt -180)  ; AND in.li(g_ll))  ; GT -200)
	li =in.li(g_pt)  & lat=in.lat(g_pt) & lon=in.lon(g_pt)
	pw1=in.pw1(g_pt) & pw2=in.pw2(g_pt) & pw3=in.pw3(g_pt)
	tpw=in.tpw(g_pt) & cape=in.cape(g_pt)  ;;& nx=in.nx  & ny=in.ny


;	lats= WHERE((lat GE -90)  AND  (lat LE -90))     &    lons=WHERE((lon GE -180) AND (lon LE 180))
;	latmin=float(MIN(lat(lats))) &    lonmin=float(MIN(lon(lons)))
;	latmax=float(MAX(lat(lats))) &    lonmax=float(MAX(lon(lons)))
;	lat0=MEDIAN(lat(lats)) 	     &    lon0=MEDIAN(lon(lons)) 

;;;;;;;;;;;;;;;;set the z- buffer
;-set_plot, 'z'
;;;device, z_buffering=0, set_resolution=[xsize_img, ysize_img], set_colors=255, set_character_size=[10,12]
;; DEVICE, Z_BUFFERING = 0 
;; xsize_img=800  &  ysize_img =800  ;& pos=[0,0,1,1]



	FOR b=0, 5 DO  BEGIN
		CASE b OF
		 	0: BEGIN   
 				range=[-15, 25] & maxbrit=200
         imagemap, li, lat, lon,  maxbrit, newimage=li_image, limit=new_limit, range=range,  missing=0 ;, $
					;position=[0.0001, 0.0001, 0.9999, 0.9999] ,  current=1 nx, ny,
			    END
		        1: BEGIN 
 				range=[0,6000] & maxbrit=200 
 				imagemap, cape, lat, lon, maxbrit, newimage=cape_image, limit=new_limit, range=range,  missing=0   ;nx, ny,
			  END
			2: BEGIN  
 				range=[0, 33] & maxbrit=200
 				imagemap, pw1, lat, lon, maxbrit, newimage=pw1_image, limit=new_limit, range=range,  missing=0  ;;nx, ny,
			  END
			3: BEGIN
 				range=[0, 33] & maxbrit=200
 				imagemap, pw2, lat, lon, maxbrit,newimage=pw2_image, limit=new_limit, range=range,  missing=0  ;nx, ny,
			  END
			4: BEGIN   
 				range=[0, 33] & maxbrit=200
 				imagemap, pw3, lat, lon, maxbrit, newimage=pw3_image, limit=new_limit, range=range,  missing=0   ;;nx, ny,
			  END
			5: BEGIN   
 				range=[0, 67] & maxbrit=200
 				imagemap, tpw, lat, lon,  maxbrit, newimage=tpw_image, limit=new_limit, range=range,  missing=0   ;nx, ny,
			  END
		ENDCASE
	ENDFOR

	;;Flip LI values such that 0=200 and 200=0
		j=WHERE(li_image LE 200 AND li_image NE 0)
		li_image(j)=ABS(li_image(j) - 200)
          

	image={li:li_image, cape:cape_image, pw1:pw1_image(*,*)*10, pw2:pw2_image(*,*)*10, pw3:pw3_image(*,*)*10, tpw:tpw_image(*,*)*10, adate:in.adate}

	RETURN, image
END
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;------------------------------------------------------------
